import * as THREE from "three";
import { CameraUpdate } from "./CameraUpdate";
export declare class Viewer {
    m_LookTarget: any;
    m_Camera: CameraUpdate;
    m_bNeedUpdate: boolean;
    m_Render: THREE.WebGLRenderer;
    m_DomEl: HTMLElement;
    _Height: number;
    _Width: number;
    m_Scene: THREE.Scene;
    constructor(canvasContainer: HTMLElement);
    initRender(canvasContainer: HTMLElement): void;
    OnSize: (width?: any, height?: any) => void;
    StartRender: () => void;
    Render(): void;
    ScreenToWorld(pt: THREE.Vector3, planVec?: THREE.Vector3): void;
    WorldToScreen(pt: THREE.Vector3): void;
    /**
     * 更新视角观测目标(物体中心)
     *
     * @memberof Viewer
     */
    UpdateLockTarget(): void;
    Rotate(mouseMove: THREE.Vector3): void;
    Pan(mouseMove: THREE.Vector3): void;
    Zoom(scale: number, center?: THREE.Vector3): void;
    ZoomAll(): void;
    ViewToTop(): void;
    ViewToFront(): void;
    ViewToSwiso(): void;
}
